6.0.0-git
2019-12-14

[#13246] S/MIME: need of more than only one cert/keypair per address
Summary S/MIME: need of more than only one cert/keypair per address
Queue IMP
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester lauffer (at) ph-freiburg (dot) de
Created 2014-06-05 (2018 days ago)
Due
Updated 2019-11-06 (38 days ago)
Assigned
Resolved
Milestone
Patch No

History
2019-11-06 07:16:24 Ralf Lang (B1 Systems GmbH) Comment #3 Reply to this comment
There is partial support for this in the current git tree. It allows 
to store an optional second private S/MIME key for read-only.
2014-06-05 10:40:06 Jan Schneider Comment #2
State ⇒ Accepted
Reply to this comment
See also request #7093
2014-06-05 05:52:48 lauffer (at) ph-freiburg (dot) de Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ S/MIME: need of more than only one cert/keypair per address
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
If a key got lost, in foreign hands... whatever... and needs to be 
revoked the user will install a new keypair & cert.

Since Horde can handle only one cert the user could not keep his old 
key in horde. This means: The user could no longer read his 
old,crypted mails with his old key.

My wish would something like this:

Manage several private certs/keys and then let the user decide which 
cerst should be used per identity/address. F.e. let the user pick the 
right cert in the "Personal Information" menue and manage all 
installed cerst (still) in the S/MIME menue.

Saved Queries